#ifndef __CONFIG_H
#define __CONFIG_H

#include <tiny13.h>
#include "delay.h"

#define UART_ON 1   /*   UART*/
#define PROG_ON 1   /*  */

#if UART_ON == 1
/*
 : 8 ,   ,  .
      :
    - STX_BAUDRATE  -   (9600 115200  ..)
    - STX_PORT_NAME -  ,     (B)
    - STX_PIN       -  ,      
*/
#define STX_BAUDRATE        9600
#define STX_PORT_NAME       B
#define STX_PIN             4
#include "stx.h"

#endif


#endif